﻿* Encoding: UTF-8.

*Computation of life satisfaction*

COMPUTE SWLS_M = MEAN(SWL_1, SWL_2, SWL_3, SWL_4, SWL_5).
EXECUTE.
VARIABLE LABELS SWLS_M 'satisfaction with life scale'.

*Computation of OSES*

DESCRIPTIVES VARIABLES= yed hhinc
  /SAVE.

COMPUTE OSES=MEAN.2(Zyed, Zhhinc).
EXECUTE.
VARIABLE LABELS OSES 'Objective Social Class (Mean of Zhhinc and Zyed)'.

DESCRIPTIVES VARIABLES= OSES SGSES SWLS_M
  /SAVE.

*Correlation*

CORRELATIONS
  /VARIABLES= hhinc yed oses sgses swls_m
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

*Computation of interaction term

COMPUTE int = Zoses*Zsgses.
DESCRIPTIVES VARIABLES= int
  /SAVE.

*Regression*

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA CHANGE SES COLLIN TOL BCOV
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT ZSWLS_M
  /METHOD=ENTER Zsgses Zoses
  /METHOD=ENTER Zint.

*Including covariate. 
*Note: For sex, the reference group is female.

REGRESSION 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS R ANOVA CHANGE SES COLLIN TOL BCOV
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT SWLS_M 
  /METHOD=ENTER sex 
  /METHOD=ENTER Zsgses Zoses
  /METHOD=ENTER Zint.

